de.esprit.appsuite.database.dbo

## Class EspritDBCreateLaunch

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<de.esprit.appsuite.database.dbo.DBCreateConfig,de.esprit.appsuite.database.dbo.DBCreateContext>
  - - de.esprit.appsuite.database.dbo.EspritDBCreateLaunch

-     public class EspritDBCreateLaunch
      extends AbstractApplicationLaunch<de.esprit.appsuite.database.dbo.DBCreateConfig,de.esprit.appsuite.database.dbo.DBCreateContext>

  This launch runs the `EspritDBCreate` class for creating the esprit sample database.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EspritDBCreateLaunch(java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected de.esprit.appsuite.database.dbo.DBCreateCommandLineParser` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected de.esprit.appsuite.database.dbo.DBCreateContext` | `createContext(de.esprit.appsuite.database.dbo.DBCreateConfig cfg)` Creates the application context from the Config object.
    `protected void` | `launchApplication(de.esprit.appsuite.database.dbo.DBCreateContext ctx)` Must be implemented for running a non-GUI application
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createSplashIcon, doOnContextCreated, doOnMainFrameCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, handleLaunchError, hasError, hasGui, launch, launchMainFrame, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EspritDBCreateLaunch

          public EspritDBCreateLaunch(java.lang.String... args)

  - ### Method Detail

    - #### createContext

          protected de.esprit.appsuite.database.dbo.DBCreateContext createContext(de.esprit.appsuite.database.dbo.DBCreateConfig cfg)
                                                                           throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Creates the application context from the Config object.
      Specified by:
        `createContext` in class `AbstractApplicationLaunch<de.esprit.appsuite.database.dbo.DBCreateConfig,de.esprit.appsuite.database.dbo.DBCreateContext>`
      Throws:
        `java.lang.Exception`

    - #### createCommandLineParser

          protected de.esprit.appsuite.database.dbo.DBCreateCommandLineParser createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Specified by:
        `createCommandLineParser` in class `AbstractApplicationLaunch<de.esprit.appsuite.database.dbo.DBCreateConfig,de.esprit.appsuite.database.dbo.DBCreateContext>`

    - #### launchApplication

          protected void launchApplication(de.esprit.appsuite.database.dbo.DBCreateContext ctx)
                                    throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Must be implemented for running a non-GUI application
      Overrides:
        `launchApplication` in class `AbstractApplicationLaunch<de.esprit.appsuite.database.dbo.DBCreateConfig,de.esprit.appsuite.database.dbo.DBCreateContext>`
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.